<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Grid Layout Demo</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri;
        }

        html, body {
            width: 100%;
            height: 100%;
        }

        #container {
            display: grid;
            width: 100%;
            height: 100%;
            grid-template-columns: 1fr 1fr 75px;
            grid-template-rows: 1fr 1fr 1fr;

            /* grid-template-columns: 50px 1fr 1fr 75px 95px;
            grid-template-rows: 50px 1fr 1fr 1fr;
            grid-template-areas: 
                ". . . . ."
                ". div1 div1 div1 ."
                ". div2 div6 div5 ."
                ". div2 div4 div3 ."; */
            /* grid-template-columns: 1fr 2fr 1fr;
            grid-auto-rows: 100px; */
        }

        #container>div {
            border: 1px solid orange;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        #div1{
            /* grid-area: div1; */
            grid-column: 1 / 4;
        }

        #div2{
            /* grid-area: div2; */
            grid-row: 2 / 4;
        }

        #div3{
            /* grid-area: div3; */
            grid-row: 3 / 4;
            grid-column: 3 / 4;
        }

        #div4{
            /* grid-area: div4; */
        }

        #div5{
            /* grid-area: div5; */
            grid-row: 2 / 3;
            grid-column: 3 / 4;
        }

        #div6{
            /* grid-area: div6; */
            grid-row: 2 / 3;
            grid-column: 2 / 3;
        }
    </style>
</head>
<body>
    <div id="container">
        <div id="div1">1</div>
        <div id="div2">2</div>
        <div id="div3">3</div>
        <div id="div4">4</div>
        <div id="div5">5</div>
        <div id="div6">6</div>
    </div>
</body>
</html>